package com.pixelized.server.lwa.services.tag

import com.pixelized.shared.lwa.model.tag.TagJson

class TagService(
    private val tagStore: TagStore,
) {
    fun alterations(): List<TagJson> {
        return tagStore.alterationTags().value.values.toList()
    }

    fun characters(): List<TagJson> {
        return tagStore.characterTags().value.values.toList()
    }

    fun items(): List<TagJson> {
        return tagStore.itemTags().value.values.toList()
    }
}